
From: Venkatesh Pallipadi <venkatesh.pallipadi@intel.com>

We had a user whose apps weren't working correctly because his "rtc" wasn't
working fully.

For the sake of simplicity, it seems sensible to always enable HPET RTC
emulation.

Remove a special config option for HPET_EMULATE_RTC and make it directly 
depend on HPET_TIMER and RTC. This will avoid the hangs when EMULATE_RTC 
is not configured and when some userlevel script depends on RTC interrupt, 
as in:

http://bugzilla.kernel.org/show_bug.cgi?id=4904

Signed-off-by: Venkatesh Pallipadi <venkatesh.pallipadi@intel.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/Kconfig |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN arch/i386/Kconfig~remove-special-hpet_emulate_rtc-config-option arch/i386/Kconfig
--- devel/arch/i386/Kconfig~remove-special-hpet_emulate_rtc-config-option	2005-07-30 00:44:10.000000000 -0700
+++ devel-akpm/arch/i386/Kconfig	2005-07-30 00:44:10.000000000 -0700
@@ -458,8 +458,9 @@ config HPET_TIMER
 	  Choose N to continue using the legacy 8254 timer.
 
 config HPET_EMULATE_RTC
-	bool "Provide RTC interrupt"
+	bool
 	depends on HPET_TIMER && RTC=y
+	default y
 
 config SMP
 	bool "Symmetric multi-processing support"
_
